{
  "schema_version": "1.4.0",
  "id": "GHSA-vg29-wjx8-q6g3",
  "modified": "2025-04-09T03:42:18Z",
  "published": "2022-05-01T18:08:04Z",
  "aliases": [
    "CVE-2007-2872"
  ],
  "details": "Multiple integer overflows in the chunk_split function in PHP 5 before 5.2.3 and PHP 4 before 4.4.8 allow remote attackers to cause a denial of service (crash) or execute arbitrary code via the (1) chunks, (2) srclen, and (3) chunklen arguments.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2872"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2007:0888"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2007:0889"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2007:0890"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2007:0891"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2007-2872"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=242032"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/39398"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1693"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1702"
    },
    {
      "type": "WEB",
      "url": "https://launchpad.net/bugs/173043"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9424"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/549-1"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-September/msg00354.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-September/msg00397.html"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c01178795"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c01345501"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2007-07/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-01/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/36083"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0889.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25456"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25535"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26048"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26231"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26838"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26871"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26895"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26930"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26967"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27037"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27102"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27110"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27351"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27377"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27545"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27864"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28318"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28658"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28750"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28936"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30040"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.482863"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.335136"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-449.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200710-02.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:187"
    },
    {
      "type": "WEB",
      "url": "http://www.openpkg.com/security/advisories/OpenPKG-SA-2007.020.html"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-4.php"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/releases/4_4_8.php"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/releases/5_2_3.php"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0888.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0890.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0891.html"
    },
    {
      "type": "WEB",
      "url": "http://www.sec-consult.com/291.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/470244/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/491693/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24261"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018186"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0023"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-549-2"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2061"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3386"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0059"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0398"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-06-04T17:30:00Z"
  }
}